#########One Run in the simulation --- 
#########generate data, conduct the tests, then return all p-values
OneRun = function(sample_n,sample_p,dtd,di,ddi,psi,dpsi,eta,deta,delta,dflag,basis)
{
  require("ECF");
  data <- GenDataK(sample_n,sample_p,
                   dtd,di,ddi,psi,dpsi,
                   eta,deta,center=1,
                   delta,dflag);
  
  datamx <- cbind(data[[1]],data[[2]],data[[3]]);#generate functional data
  PV_L2nv <- ECFL2Rcpp(datamx,sample_n,0,centered=1);#L2nv
  PV_L2br <- ECFL2Rcpp(datamx,sample_n,1,centered=1);#L2br
  PV_Fnv <- ECFFnaiveRcpp(datamx,sample_n,centered=1);#GPFnv
  PV_rps <- rcpparma_ECFRPall(datamx,sample_n,500,1);#L2rp,Tmax,GPFrp,Fmax
  #P-values of L2nv,L2br,L2rp,Tmax,GPFnv,GPFrp,Fmax
  return(c(PV_L2nv[2], PV_L2br[2], PV_rps[1], PV_rps[2], PV_Fnv[2], PV_rps[3], PV_rps[4]));
}