#########The outter loop to run different simulation cases
library(compiler);
enableJIT(3);

source("OneRun.R");
source("GenDataK.R");
source("fdata.R");
#source("FSHK.R");

library("fda");
library("ECF");
###########################################################
###########################################################
library('foreach');
library('doSNOW');
cluster <- makeCluster(16, type = "SOCK");
registerDoSNOW(cluster);
repetitions = 100;

path = "./sim2scalevsF/";
ifelse(!dir.exists(file.path(path)), dir.create(file.path(path)), FALSE);

dflag = "CN";

rho=0.1;
#0.2, 0.5, 0.7, 0.9
###############
sample_n = c(20,30,30);#type = "small";
vdelta = c(6,9,12,20)#c(0,0.5,1,1.5,2);
source("Main.R");
###############
sample_n = c(30,40,50);#type = "medium";
vdelta = c(5,7,9,12);#c(0,0.5,1,1.5,2);
source("Main.R");

sample_n = c(80,70,100);#type = "large";
vdelta = c(3,5,6,7)#c(0,0.5,1,1.5,2);
source("Main.R");

rho=0.5;
sample_n = c(20,30,30);
vdelta = c(2,4,5,7);
source("Main.R");

sample_n = c(30,40,50);
vdelta = c(1.5,2.5,3.5,5);
source("Main.R");

sample_n = c(80,70,100);
vdelta = c(0.8,1.2,1.6,2.5);
source("Main.R");

rho=0.9;
sample_n = c(20,30,30);
vdelta = c(1.2,2.5,3.2,5);
source("Main.R");

sample_n = c(30,40,50);
vdelta = c(1.1,1.9,2.4,3.5);
source("Main.R");

sample_n = c(80,70,100);
vdelta = c(0.8,1.1,1.3,1.6);
source("Main.R");


###################################################
dflag = "CT";

rho=0.1;
#0.2, 0.5, 0.7, 0.9
###############
sample_n = c(20,30,30);#type = "small";
vdelta = c(10,15,25,30);#c(0,0.5,1,1.5,2);
source("Main.R");
###############
sample_n = c(30,40,50);#type = "medium";
vdelta = c(7,14,18,25);#c(0,0.5,1,1.5,2);
source("Main.R");

sample_n = c(80,70,100);#type = "large";
vdelta = c(5,7,9,15)#c(0,0.5,1,1.5,2);
source("Main.R");

rho=0.5;
sample_n = c(20,30,30);#type = "small";
vdelta = c(4,6,8,12);#c(0,0.5,1,1.5,2);
source("Main.R");
###############
sample_n = c(30,40,50);#type = "medium";
vdelta = c(2,4,5,9);#c(0,0.5,1,1.5,2);
source("Main.R");

sample_n = c(80,70,100);#type = "large";
vdelta = c(1,2,4,8)#c(0,0.5,1,1.5,2);
source("Main.R");

rho=0.9;
sample_n = c(20,30,30);#type = "small";
vdelta = c(3,5,8,12);#c(0,0.5,1,1.5,2);
source("Main.R");
###############
sample_n = c(30,40,50);#type = "medium";
vdelta = c(2,4,5,9);#c(0,0.5,1,1.5,2);
source("Main.R");

sample_n = c(80,70,100);#type = "large";
vdelta = c(1,2,3,4)#c(0,0.5,1,1.5,2);
source("Main.R");

stopCluster(cluster);